// -*- C++ -*-
/*!
 * @file  ImageDataConvert.h
 * @brief ImageDataConvert
 * @date  $Date$
 *
 * $Id$
 */

#ifndef IMAGEDATACONVERT_H
#define IMAGEDATACONVERT_H

#include <string>
#include <rtm/idl/InterfaceDataTypesSkel.h>
#include "InterfaceDataTypesStub.h"
#include <opencv2/opencv.hpp>

/**
*@brief RTC::CameraImage型から画像データを取得
* @param ci RTC::CameraImage型の画像データ
* @return cv::Mat型の画像データ
*/
cv::Mat GetMatImage(RTC::CameraImage ci);

/**
*@brief cv::Mat型画像データをRTC::CameraImage型のデータに設定
* @param ci RTC::CameraImage型のデータ
* @param im cv::Mat型の画像データ
* @param strencode 圧縮形式(offは圧縮なし、jpegはjpeg圧縮)
* @param quality 圧縮率 (0-100) default 95
*/
void SetCameraImage(RTC::CameraImage &ci, cv::Mat im, std::string strencode = "off", int quality = 95);

#endif
